AntiFeatures:
  - NonFreeNet
Categories:
  - Games
License: GPL-3.0-only
AuthorName: Robert Mengual
AuthorEmail: robert.mengual@outlook.com
AuthorWebSite: robertmengual.com
WebSite: https://tobertet.github.io/ToberQuizz/
SourceCode: https://github.com/Tobertet/ToberQuizz
IssueTracker: https://github.com/Tobertet/ToberQuizz/issues
Donate: https://ko-fi.com/robertmengual

AutoName: ToberQuizz

RepoType: git
Repo: https://github.com/Tobertet/ToberQuizz

Builds:
  - versionName: 1.0.0
    versionCode: 10000
    commit: v1.0.0
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g yarn
    gradle:
      - yes
    prebuild:
      - cd ../..
      - yarn install
      - yarn build --mode app
      - npx cap sync android
    scandelete:
      - node_modules/

  - versionName: 1.1.0
    versionCode: 10100
    commit: d7d05a41bf34a1e3f2e61fb1d9513ecccc97ac21
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g yarn
    gradle:
      - yes
    prebuild:
      - cd ../..
      - yarn install
      - yarn build --mode app
      - npx cap sync android
    scandelete:
      - node_modules/

  - versionName: 1.1.1
    versionCode: 10101
    commit: 32ecc1f517de0bb4c23ccdcaf96c54bf572ec666
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g yarn
    gradle:
      - yes
    prebuild:
      - cd ../..
      - yarn install
      - yarn build --mode app
      - npx cap sync android
    scandelete:
      - node_modules/

  - versionName: 1.2.0
    versionCode: 10200
    commit: 04e152b1c8cb61bf9a7c0d48d863d11c4a26732f
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g yarn
    gradle:
      - yes
    prebuild:
      - cd ../..
      - yarn install
      - yarn build --mode app
      - npx cap sync android
    scandelete:
      - node_modules/

  - versionName: 1.3.0
    versionCode: 10300
    commit: 05d70f72bb75b5fff5be5e1c492f55234da41953
    subdir: android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz --strip-components=1 -C /usr/local/
      - npm install -g yarn
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - cd ../..
      - yarn install
      - yarn build --mode app
      - npx cap sync android
    scandelete:
      - node_modules/

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.3.0
CurrentVersionCode: 10300
